diff --git a/web/pgadmin/utils/driver/psycopg2/cursor.py b/web/pgadmin/utils/driver/psycopg2/cursor.py
new file mode 100644
index 000000000..f58460d2d
--- /dev/null
+++ b/web/pgadmin/utils/driver/psycopg2/cursor.py
@@ -0,0 +1,235 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2022, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+"""
+Implementation of an extended cursor, which returns ordered dictionary when
+fetching results from it, and also takes care of the duplicate column name in
+result.
+"""
+
+
+from collections import OrderedDict
+import psycopg2
+from psycopg2.extensions import cursor as _cursor, encodings
+from .encoding import configure_driver_encodings
+
+configure_driver_encodings(encodings)
+
+
+class _WrapperColumn(object):
+    """
+    class _WrapperColumn(object)
+
+    A wrapper class, which wraps the individual description column object,
+    to allow identify the duplicate column name, created by PostgreSQL database
+    server implicitly during query execution.
+
+    Methods:
+    -------
+    * __init__(_col, _name)
+    - Initialize the wrapper around the description column object, which will
+      present the dummy name when available instead of the duplicate name.
+
+    * __getattribute__(name)
+    - Get attributes from the original column description (which is a named
+      tuple) except for few of the attributes of this object (i.e. orig_col,
+      dummy_name, __class__, to_dict) are part of this object.
+
+    * __getitem__(idx)
+    - Get the item from the original object except for the 0th index item,
+      which is for 'name'.
+
+    * __setitem__(idx, value)
+    * __delitem__(idx)
+    - Override them to make the operations on original object.
+
+    * to_dict()
+    - Converts original objects data as OrderedDict (except the name will same
+      as dummy name (if available), and one more parameter as 'display_name'.
+    """
+
+    def __init__(self, _col, _name):
+        """Initializer for _WrapperColumn"""
+        self.orig_col = _col
+        self.dummy_name = _name
+
+    def __getattribute__(self, name):
+        """Getting the attributes from the original object. (except few)"""
+        if (name == 'orig_col' or name == 'dummy_name' or
+                name == '__class__' or name == 'to_dict'):
+            return object.__getattribute__(self, name)
+        elif name == 'name':
+            res = object.__getattribute__(self, 'dummy_name')
+            if res is not None:
+                return res
+        return self.orig_col.__getattribute__(name)
+
+    def __getitem__(self, idx):
+        """Overrides __getitem__ to fetch item from original object"""
+        if idx == 0 and self.dummy_name is not None:
+            return self.dummy_name
+        return self.orig_col.__getitem__(idx)
+
+    def __setitem__(self, *args, **kwargs):
+        """Orverrides __setitem__ to do the operations on original object."""
+        return self.orig_col.__setitem__(*args, **kwargs)
+
+    def __delitem__(self, *args, **kwargs):
+        """Orverrides __delitem__ to do the operations on original object."""
+        return self.orig_col.__delitem__(*args, **kwargs)
+
+    def to_dict(self):
+        """
+        Generates an OrderedDict from the fields of the original objects
+        with avoiding the duplicate name.
+        """
+
+        # In psycopg2 2.8, the description of one result column,
+        # exposed as items of the cursor.description sequence.
+        # Before psycopg2 2.8 the description attribute was a sequence
+        # of simple tuples or namedtuples.
+        ores = OrderedDict()
+        ores['name'] = self.orig_col.name
+        ores['type_code'] = self.orig_col.type_code
+        ores['display_size'] = self.orig_col.display_size
+        ores['internal_size'] = self.orig_col.internal_size
+        ores['precision'] = self.orig_col.precision
+        ores['scale'] = self.orig_col.scale
+        ores['null_ok'] = self.orig_col.null_ok
+        ores['table_oid'] = self.orig_col.table_oid
+        ores['table_column'] = self.orig_col.table_column
+
+        name = ores['name']
+        if self.dummy_name:
+            ores['name'] = self.dummy_name
+        ores['display_name'] = name
+        return ores
+
+
+class DictCursor(_cursor):
+    """
+    DictCursor
+
+    A class to generate the dictionary from the tuple, and also takes care of
+    the duplicate column name in result description.
+
+    Methods:
+    -------
+    * __init__()
+    - Initialize the cursor object
+
+    * _dict_tuple(tuple)
+    - Generate a dictionary object from a tuple, based on the column
+      description.
+
+    * _ordered_description()
+    - Generates the _WrapperColumn object from the description column, and
+      identifies duplicate column name
+    """
+
+    def __init__(self, *args, **kwargs):
+        """
+        Initialize the cursor object.
+        """
+        self._odt_desc = None
+        _cursor.__init__(self, *args, **kwargs)
+
+    def _dict_tuple(self, tup):
+        """
+        Transform the tuple into a dictionary object.
+        """
+        if self._odt_desc is None:
+            self._ordered_description()
+        return dict((k[0], v) for k, v in zip(self._odt_desc, tup))
+
+    def _ordered_description(self):
+        """
+        Transform the regular description to wrapper object, which handles
+        duplicate column name.
+        """
+        self._odt_desc = _cursor.__getattribute__(self, 'description')
+        desc = self._odt_desc
+
+        if desc is None or len(desc) == 0:
+            return
+
+        res = list()
+        od = dict((d[0], 0) for d in desc)
+        for d in desc:
+            dummy = None
+            idx = od[d.name]
+            if idx == 0:
+                od[d.name] = 1
+            else:
+                name = d.name
+                while name in od:
+                    idx += 1
+                    name = ("%s-%s" % (d.name, idx))
+                    od[d.name] = idx
+                dummy = name
+            res.append(_WrapperColumn(d, dummy))
+        self._odt_desc = tuple(res)
+
+    def ordered_description(self):
+        """
+        Use this to fetch the description
+        """
+        if self._odt_desc is None:
+            self._ordered_description()
+        return self._odt_desc
+
+    def execute(self, query, params=None):
+        """
+        Execute function
+        """
+        self._odt_desc = None
+        if params is not None and len(params) == 0:
+            params = None
+
+        return _cursor.execute(self, query, params)
+
+    def executemany(self, query, params=None):
+        """
+        Execute many function of regular cursor.
+        """
+        self._odt_desc = None
+        return _cursor.executemany(self, query, params)
+
+    def callproc(self, proname, params=None):
+        """
+        Call a procedure by a name.
+        """
+        self._odt_desc = None
+        return _cursor.callproc(self, proname, params)
+
+    def fetchmany(self, size=None):
+        """
+        Fetch many tuples as ordered dictionary list.
+        """
+        tuples = _cursor.fetchmany(self, size)
+        if tuples is not None:
+            return [self._dict_tuple(t) for t in tuples]
+        return None
+
+    def fetchall(self):
+        """
+        Fetch all tuples as ordered dictionary list.
+        """
+        tuples = _cursor.fetchall(self)
+        if tuples is not None:
+            return [self._dict_tuple(t) for t in tuples]
+
+    def __iter__(self):
+        it = _cursor.__iter__(self)
+        try:
+            yield self._dict_tuple(next(it))
+            while True:
+                yield self._dict_tuple(next(it))
+        except StopIteration:
+            pass
diff --git a/web/pgadmin/utils/driver/psycopg2/encoding.py b/web/pgadmin/utils/driver/psycopg2/encoding.py
new file mode 100644
index 000000000..da53200ab
--- /dev/null
+++ b/web/pgadmin/utils/driver/psycopg2/encoding.py
@@ -0,0 +1,83 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2022, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+#  Get Postgres and Python encoding
+
+encode_dict = {
+    'SQL_ASCII': ['SQL_ASCII', 'raw_unicode_escape', 'unicode_escape'],
+    'SQLASCII': ['SQL_ASCII', 'raw_unicode_escape', 'unicode_escape'],
+    'MULE_INTERNAL': ['MULE_INTERNAL', 'raw_unicode_escape', 'unicode_escape'],
+    'MULEINTERNAL': ['MULEINTERNAL', 'raw_unicode_escape', 'unicode_escape'],
+    'LATIN1': ['LATIN1', 'latin1', 'latin1'],
+    'LATIN2': ['LATIN2', 'latin2', 'latin2'],
+    'LATIN3': ['LATIN3', 'latin3', 'latin3'],
+    'LATIN4': ['LATIN4', 'latin4', 'latin4'],
+    'LATIN5': ['LATIN5', 'latin5', 'latin5'],
+    'LATIN6': ['LATIN6', 'latin6', 'latin6'],
+    'LATIN7': ['LATIN7', 'latin7', 'latin7'],
+    'LATIN8': ['LATIN8', 'latin8', 'latin8'],
+    'LATIN9': ['LATIN9', 'latin9', 'latin9'],
+    'LATIN10': ['LATIN10', 'latin10', 'latin10'],
+    'WIN866': ['WIN866', 'cp866', 'cp866'],
+    'WIN874': ['WIN874', 'cp874', 'cp874'],
+    'WIN1250': ['WIN1250', 'cp1250', 'cp1250'],
+    'WIN1251': ['WIN1251', 'cp1251', 'cp1251'],
+    'WIN1252': ['WIN1252', 'cp1252', 'cp1252'],
+    'WIN1253': ['WIN1253', 'cp1253', 'cp1253'],
+    'WIN1254': ['WIN1254', 'cp1254', 'cp1254'],
+    'WIN1255': ['WIN1255', 'cp1255', 'cp1255'],
+    'WIN1256': ['WIN1256', 'cp1256', 'cp1256'],
+    'WIN1257': ['WIN1257', 'cp1257', 'cp1257'],
+    'WIN1258': ['WIN1258', 'cp1258', 'cp1258'],
+    'EUC_JIS_2004': ['EUC_JIS_2004', 'eucjis2004', 'eucjis2004'],
+    'EUCJIS2004': ['EUCJIS2004', 'eucjis2004', 'eucjis2004'],
+    'EUC_CN': ['EUC_CN', 'euc-cn', 'euc-cn'],
+    'EUCCN': ['EUCCN', 'euc-cn', 'euc-cn'],
+    'EUC_JP': ['EUC_JP', 'euc_jp', 'euc_jp'],
+    'EUCJP': ['EUCJP', 'euc_jp', 'euc_jp'],
+    'EUC_KR': ['EUC_KR', 'euc_kr', 'euc_kr'],
+    'EUCKR': ['EUCKR', 'euc_kr', 'euc_kr'],
+    'EUC_TW': ['BIG5', 'big5', 'big5'],
+    'EUCTW': ['BIG5', 'big5', 'big5'],
+    'ISO_8859_5': ['ISO_8859_5', 'iso8859_5', 'iso8859_5'],
+    'ISO88595': ['ISO88595', 'iso8859_5', 'iso8859_5'],
+    'ISO_8859_6': ['ISO_8859_6', 'iso8859_6', 'iso8859_6'],
+    'ISO88596': ['ISO88596', 'iso8859_6', 'iso8859_6'],
+    'ISO_8859_7': ['ISO_8859_7', 'iso8859_7', 'iso8859_7'],
+    'ISO88597': ['ISO88597', 'iso8859_7', 'iso8859_7'],
+    'ISO_8859_8': ['ISO_8859_8', 'iso8859_8', 'iso8859_8'],
+    'ISO88598': ['ISO88598', 'iso8859_8', 'iso8859_8'],
+    'KOI8R': ['KOI8R', 'koi8_r', 'koi8_r'],
+    'KOI8U': ['KOI8U', 'koi8_u', 'koi8_u'],
+
+}
+
+
+def get_encoding(key):
+    """
+    :param key: Database Encoding
+    :return:
+    [Postgres_encoding, Python_encoding, typecast_encoding] -
+    Postgres encoding, Python encoding, type cast encoding
+    """
+    #
+    # Reference: https://www.postgresql.org/docs/11/multibyte.html
+
+    return encode_dict.get(key, ['UNICODE', 'utf-8', 'utf-8'])
+
+
+def configure_driver_encodings(encodings):
+    # Replace the python encoding for original name and renamed encodings
+    # psycopg2 removes the underscore in conn.encoding
+    # Setting the encodings dict value will only help for select statements
+    # because for parameterized DML, param values are converted based on
+    # python encoding of pyscopg2s internal encodings dict.
+    for key, val in encode_dict.items():
+        postgres_encoding, python_encoding, typecast_encoding = val
+        encodings[key] = python_encoding
diff --git a/web/pgadmin/utils/driver/psycopg2/generate_keywords.py b/web/pgadmin/utils/driver/psycopg2/generate_keywords.py
new file mode 100644
index 000000000..77e3a0957
--- /dev/null
+++ b/web/pgadmin/utils/driver/psycopg2/generate_keywords.py
@@ -0,0 +1,63 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2022, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+# This allows us to generate to keywords.py for PostgreSQL for used by
+# qtIdent and qtTypeIdent functions for scanning the keywords type.
+#
+# In order to generate keywords.py for specific version of PostgreSQL, put
+# pg_config executable in the PATH.
+#
+##########################################################################
+
+import os
+import re
+
+if __name__ == '__main__':
+    include_dir = os.popen('pg_config --includedir').read().rstrip()
+    version = os.popen('pg_config --version').read().rstrip()
+
+    keywords_file = open('keywords.py', 'w')
+
+    keywords_file.write("""##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2022, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+""")
+    keywords_file.write('# ScanKeyword function for ' + version)
+    keywords_file.write('\n\ndef ScanKeyword(key):')
+    keywords_file.write('\n    keywordDict = {\n')
+
+    idx = 0
+
+    with open(include_dir + "/postgresql/server/parser/kwlist.h", "rb") as ins:
+
+        pattern = re.compile(r'"([^"]+)",\s*[^,]*\s*,\s*(.*)$')
+        keyword_types = [
+            'UNRESERVED_KEYWORD', 'COL_NAME_KEYWORD',
+            'TYPE_FUNC_NAME_KEYWORD', 'RESERVED_KEYWORD'
+        ]
+
+        for line in ins:
+            line = line.decode().rstrip()
+            if line[0:11] == 'PG_KEYWORD(' and line[-1] == ')':
+                match = pattern.match(line[11:-1])
+                if idx != 0:
+                    keywords_file.write(", ")
+                else:
+                    keywords_file.write("        ")
+                keywords_file.write(
+                    '"' + match.group(1) + '": ' +
+                    str(keyword_types.index(match.group(2)))
+                )
+                idx += 1
+    keywords_file.write('\n        }\n')
+    keywords_file.write(
+        '    return (key in keywordDict and keywordDict[key]) or None')
diff --git a/web/pgadmin/utils/driver/psycopg2/keywords.py b/web/pgadmin/utils/driver/psycopg2/keywords.py
new file mode 100644
index 000000000..067b3d9cb
--- /dev/null
+++ b/web/pgadmin/utils/driver/psycopg2/keywords.py
@@ -0,0 +1,432 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2022, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+# ScanKeyword function for PostgreSQL 9.5rc1
+
+
+def scan_keyword(key):
+    keywords = {
+        'abort': 0,
+        'absolute': 0,
+        'access': 0,
+        'action': 0,
+        'add': 0,
+        'admin': 0,
+        'after': 0,
+        'aggregate': 0,
+        'all': 3,
+        'also': 0,
+        'alter': 0,
+        'always': 0,
+        'analyze': 3,
+        'and': 3,
+        'any': 3,
+        'array': 3,
+        'as': 3,
+        'asc': 3,
+        'assertion': 0,
+        'assignment': 0,
+        'asymmetric': 3,
+        'at': 0,
+        'attribute': 0,
+        'authorization': 2,
+        'backward': 0,
+        'before': 0,
+        'begin': 0,
+        'between': 1,
+        'bigint': 1,
+        'binary': 2,
+        'bit': 1,
+        'boolean': 1,
+        'both': 3,
+        'by': 0,
+        'cache': 0,
+        'called': 0,
+        'cascade': 0,
+        'cascaded': 0,
+        'case': 3,
+        'cast': 3,
+        'catalog': 0,
+        'chain': 0,
+        'char': 1,
+        'character': 1,
+        'characteristics': 0,
+        'check': 3,
+        'checkpoint': 0,
+        'class': 0,
+        'close': 0,
+        'cluster': 0,
+        'coalesce': 1,
+        'collate': 3,
+        'collation': 2,
+        'column': 3,
+        'comment': 0,
+        'comments': 0,
+        'commit': 0,
+        'committed': 0,
+        'concurrently': 2,
+        'configuration': 0,
+        'conflict': 0,
+        'connection': 0,
+        'constraint': 3,
+        'constraints': 0,
+        'content': 0,
+        'continue': 0,
+        'conversion': 0,
+        'copy': 0,
+        'cost': 0,
+        'create': 3,
+        'cross': 2,
+        'csv': 0,
+        'cube': 0,
+        'current': 0,
+        'current_catalog': 3,
+        'current_date': 3,
+        'current_role': 3,
+        'current_schema': 2,
+        'current_time': 3,
+        'current_timestamp': 3,
+        'current_user': 3,
+        'cursor': 0,
+        'cycle': 0,
+        'data': 0,
+        'database': 0,
+        'day': 0,
+        'deallocate': 0,
+        'dec': 1,
+        'decimal': 1,
+        'declare': 0,
+        'default': 3,
+        'defaults': 0,
+        'deferrable': 3,
+        'deferred': 0,
+        'definer': 0,
+        'delete': 0,
+        'delimiter': 0,
+        'delimiters': 0,
+        'desc': 3,
+        'dictionary': 0,
+        'disable': 0,
+        'discard': 0,
+        'distinct': 3,
+        'do': 3,
+        'document': 0,
+        'domain': 0,
+        'double': 0,
+        'drop': 0,
+        'each': 0,
+        'else': 3,
+        'enable': 0,
+        'encoding': 0,
+        'encrypted': 0,
+        'end': 3,
+        'enum': 0,
+        'escape': 0,
+        'event': 0,
+        'except': 3,
+        'exclude': 0,
+        'excluding': 0,
+        'exclusive': 0,
+        'execute': 0,
+        'exists': 1,
+        'explain': 0,
+        'extension': 0,
+        'external': 0,
+        'extract': 1,
+        'false': 3,
+        'family': 0,
+        'fetch': 3,
+        'filter': 0,
+        'first': 0,
+        'float': 1,
+        'following': 0,
+        'for': 3,
+        'force': 0,
+        'foreign': 3,
+        'forward': 0,
+        'freeze': 2,
+        'from': 3,
+        'full': 2,
+        'function': 0,
+        'functions': 0,
+        'global': 0,
+        'grant': 3,
+        'granted': 0,
+        'greatest': 1,
+        'group': 3,
+        'grouping': 1,
+        'handler': 0,
+        'having': 3,
+        'header': 0,
+        'hold': 0,
+        'hour': 0,
+        'identity': 0,
+        'if': 0,
+        'ilike': 2,
+        'immediate': 0,
+        'immutable': 0,
+        'implicit': 0,
+        'import': 0,
+        'in': 3,
+        'including': 0,
+        'increment': 0,
+        'index': 0,
+        'indexes': 0,
+        'inherit': 0,
+        'inherits': 0,
+        'initially': 3,
+        'inline': 0,
+        'inner': 2,
+        'inout': 1,
+        'input': 0,
+        'insensitive': 0,
+        'insert': 0,
+        'instead': 0,
+        'int': 1,
+        'integer': 1,
+        'intersect': 3,
+        'interval': 1,
+        'into': 3,
+        'invoker': 0,
+        'is': 2,
+        'isnull': 2,
+        'isolation': 0,
+        'join': 2,
+        'key': 0,
+        'label': 0,
+        'language': 0,
+        'large': 0,
+        'last': 0,
+        'lateral': 3,
+        'leading': 3,
+        'leakproof': 0,
+        'least': 1,
+        'left': 2,
+        'level': 0,
+        'like': 2,
+        'limit': 3,
+        'listen': 0,
+        'load': 0,
+        'local': 0,
+        'localtime': 3,
+        'localtimestamp': 3,
+        'location': 0,
+        'lock': 0,
+        'locked': 0,
+        'logged': 0,
+        'mapping': 0,
+        'match': 0,
+        'materialized': 0,
+        'maxvalue': 0,
+        'minute': 0,
+        'minvalue': 0,
+        'mode': 0,
+        'month': 0,
+        'move': 0,
+        'name': 0,
+        'names': 0,
+        'national': 1,
+        'natural': 2,
+        'nchar': 1,
+        'next': 0,
+        'no': 0,
+        'none': 1,
+        'not': 3,
+        'nothing': 0,
+        'notify': 0,
+        'notnull': 2,
+        'nowait': 0,
+        'null': 3,
+        'nullif': 1,
+        'nulls': 0,
+        'numeric': 1,
+        'object': 0,
+        'of': 0,
+        'off': 0,
+        'offset': 3,
+        'oids': 0,
+        'on': 3,
+        'only': 3,
+        'operator': 0,
+        'option': 0,
+        'options': 0,
+        'or': 3,
+        'order': 3,
+        'ordinality': 0,
+        'out': 1,
+        'outer': 2,
+        'over': 0,
+        'overlaps': 2,
+        'overlay': 1,
+        'owned': 0,
+        'owner': 0,
+        'parser': 0,
+        'partial': 0,
+        'partition': 0,
+        'passing': 0,
+        'password': 0,
+        'placing': 3,
+        'plans': 0,
+        'policy': 0,
+        'position': 1,
+        'preceding': 0,
+        'precision': 1,
+        'prepare': 0,
+        'prepared': 0,
+        'preserve': 0,
+        'primary': 3,
+        'prior': 0,
+        'privileges': 0,
+        'procedural': 0,
+        'procedure': 0,
+        'program': 0,
+        'quote': 0,
+        'range': 0,
+        'read': 0,
+        'real': 1,
+        'reassign': 0,
+        'recheck': 0,
+        'recursive': 0,
+        'ref': 0,
+        'references': 3,
+        'refresh': 0,
+        'reindex': 0,
+        'relative': 0,
+        'release': 0,
+        'rename': 0,
+        'repeatable': 0,
+        'replace': 0,
+        'replica': 0,
+        'reset': 0,
+        'restart': 0,
+        'restrict': 0,
+        'returning': 3,
+        'returns': 0,
+        'revoke': 0,
+        'right': 2,
+        'role': 0,
+        'rollback': 0,
+        'rollup': 0,
+        'row': 1,
+        'rows': 0,
+        'rule': 0,
+        'savepoint': 0,
+        'schema': 0,
+        'scroll': 0,
+        'search': 0,
+        'second': 0,
+        'security': 0,
+        'select': 3,
+        'sequence': 0,
+        'sequences': 0,
+        'serializable': 0,
+        'server': 0,
+        'session': 0,
+        'session_user': 3,
+        'set': 0,
+        'setof': 1,
+        'sets': 0,
+        'share': 0,
+        'show': 0,
+        'similar': 2,
+        'simple': 0,
+        'skip': 0,
+        'smallint': 1,
+        'snapshot': 0,
+        'some': 3,
+        'sql': 0,
+        'stable': 0,
+        'standalone': 0,
+        'start': 0,
+        'statement': 0,
+        'statistics': 0,
+        'stdin': 0,
+        'stdout': 0,
+        'storage': 0,
+        'strict': 0,
+        'strip': 0,
+        'substring': 1,
+        'symmetric': 3,
+        'sysid': 0,
+        'system': 0,
+        'table': 3,
+        'tables': 0,
+        'tablesample': 2,
+        'tablespace': 0,
+        'temp': 0,
+        'template': 0,
+        'temporary': 0,
+        'text': 0,
+        'then': 3,
+        'time': 1,
+        'timestamp': 1,
+        'to': 3,
+        'trailing': 3,
+        'transaction': 0,
+        'transform': 0,
+        'treat': 1,
+        'trigger': 0,
+        'trim': 1,
+        'true': 3,
+        'truncate': 0,
+        'trusted': 0,
+        'type': 0,
+        'types': 0,
+        'unbounded': 0,
+        'uncommitted': 0,
+        'unencrypted': 0,
+        'union': 3,
+        'unique': 3,
+        'unknown': 0,
+        'unlisten': 0,
+        'unlogged': 0,
+        'until': 0,
+        'update': 0,
+        'user': 3,
+        'using': 3,
+        'vacuum': 0,
+        'valid': 0,
+        'validate': 0,
+        'validator': 0,
+        'value': 0,
+        'values': 1,
+        'varchar': 1,
+        'variadic': 3,
+        'varying': 0,
+        'verbose': 2,
+        'version': 0,
+        'view': 0,
+        'views': 0,
+        'volatile': 0,
+        'when': 3,
+        'where': 3,
+        'whitespace': 0,
+        'window': 3,
+        'with': 3,
+        'within': 0,
+        'without': 0,
+        'work': 0,
+        'wrapper': 0,
+        'write': 0,
+        'xml': 0,
+        'xmlattributes': 1,
+        'xmlconcat': 1,
+        'xmlelement': 1,
+        'xmlexists': 1,
+        'xmlforest': 1,
+        'xmlparse': 1,
+        'xmlpi': 1,
+        'xmlroot': 1,
+        'xmlserialize': 1,
+        'year': 0,
+        'yes': 0,
+        'zone': 0,
+    }
+
+    return keywords.get(key, None)
